\version "2.16.2"
\language "italiano"

\header {
  dedication = "A Vagshan, Ibrahima, Leïla, Théo, Miléna et Benjamin"
  title = "Géant(e)s"
  composer = "Alcapar"
  tagline = "Engravé grace à Lilypond et Frescobaldi"
}

\paper {
  #(set-paper-size "a4" 'landscape)
 #(define fonts
    (make-pango-font-tree "FreeMono"
                          "FreeMono"
                          "FreeMono"
                           (/ staff-height pt 20)))
}

global = {
  \key do \major
  \time 4/4
  \partial 8
  \tempo "Allegro"
}

chordNames = \chordmode {
  \global
  % Ajouter ici des chiffrages.
  s8 la1:m la:m la:m mi
  la2:m la:m la:m la:m la:m la:m mi1
  la:m mi2 mi2:7 la1:m mi2 mi2:7
  la1:m mi la2.:m mi4 la:m
  
}

melody = \relative do'' {
  \global
  % En avant la musique !
  la8
  do4 do8 do ~ do4  r8  la 
  do4 do8 do ~ do4 r8  la 
  do do do do do do do do 
  si si la si ~ si r si la \break
  
  do4 do8 do do4 do8 do
  do do4 do r8 do do
  do4 do8 do do4 do8 do
  si la4 si r8 r  la \break
  
  do4 do8 do do4 re8 mi ~
  mi2 r4 r8 la,
  do4. do8 do4 re8 mi ~
  mi2 r2 \break
  
  \times 2/3 {do8 do do} \times 2/3 {do do do} \times 2/3 {do do do}  \times 2/3 {do do re} 
  mi2 r2
  \times 2/3 {do8 do do} \times 2/3 {do do do} \times 2/3 {do do do} \times 2/3 {r4 si8 }
  la4 \bar "|."
  
}

verse = \lyricmode {
  On | rêve un jour, On | rêve tou -- jours,
  Lais -- | sez -- nous seul -- e -- ment voir au des -- | sus de vos tours.
  Et on | voit les gé -- ants, mar -- cher  | en ca -- dence,
  Et on  | voit les gé -- ants mar -- cher | sur la France.
  Ils | vien -- nent d'une autre pla -- nète,
  As -- | sis sur une com -- ète,
  Lais -- sez -- nous, lais -- sez -- nous, lais -- sez -- nous vous pré -- ve | nir.
  C'est nous les, c'est nous les, c'est nous les, Gé -- ant(e)s
}

\score {
  <<
    \new ChordNames \chordNames
    \new Staff { \melody }
    \addlyrics { \verse }
  >>
  \layout { }
  \midi {
  \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 144 4)
      }}
}
